# Spotifyd docker (for armv7)

Spotifyd docker image made for the Raspberry Pi (but works on other armv7 devices too).

[Repo](https://git.kapelle.org/niklas/spotifyd-docker)

[Docker Hub](https://hub.docker.com/r/djeeberjr/spotifyd)

Run [spotifyd](https://github.com/Spotifyd/spotifyd) inside docker. Inspired by [GnaphronG/docker-spotifyd](https://github.com/GnaphronG/docker-spotifyd).

# Setup

You need to add the `/dev/snd` to the container. 

Check out the `docker-compose.yml` for an example.

# Configuration 

Following variables are available. See the [spotifyd doc](https://spotifyd.github.io/spotifyd/config/File.html) for more information.

`USERNAME` Required. Spotify username.

`PASSWORD` Required. Spotify password.

`DEVICE_NAME` Name of the device. Default: "Spotifyd"

`VOLUME_NORMALISATION` If set to true, enables volume normalisation between songs.

`NORMALISATION_PREGAIN` The normalisation pregain that is applied for each song.

`BITRATE` The audio bitrate. 96, 160 or 320 kbit/s.

`DEVICE_TYPE`# The displayed device type in Spotify clients. Can be `computer`, `tablet`, `smartphone`, `speaker`, `tv`, `avr`, `stb`, `audiodongle`.

`INITIAL_VOLUME` Volume on startup between 0 and 100.

`USE_MPRIS` Set to true to enable MPRIS support. You need to add the dbus socket to the container. Default: false.

`EXTRA_ARGS` Additional arguments passed to spotifyd.
